module Libglvnd_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libEGL
const libEGL_path = "/usr/lib/libEGL.so.1"
libEGL_handle = C_NULL
get_libEGL_path() = libEGL_path
const libEGL = "libEGL.so.1"
export libGL
const libGL_path = "/usr/lib/libGL.so.1"
libGL_handle = C_NULL
get_libGL_path() = libGL_path
const libGL = "libGL.so.1"
export libGLESv1_CM
const libGLESv1_CM_path = "/usr/lib/libGLESv2.so.2"
libGLESv1_CM_handle = C_NULL
get_libGLESv1_CM_path() = libGLESv1_CM_path
const libGLESv1_CM = "libGLESv2.so.2"
export libGLESv2
const libGLESv2_path = "/usr/lib/libGLESv2.so.2"
libGLESv2_handle = C_NULL
get_libGLESv2_path() = libGLESv2_path
const libGLESv2 = "libGLESv2.so.2"
export libGLX
const libGLX_path = "/usr/lib/libGLX.so.0"
libGLX_handle = C_NULL
get_libGLX_path() = libGLX_path
const libGLX = "libGLX.so.0"
export libGLdispatch
const libGLdispatch_path = "/usr/lib/libGLdispatch.so.0"
libGLdispatch_handle = C_NULL
get_libGLdispatch_path() = libGLdispatch_path
const libGLdispatch = "libGLdispatch.so.0"
export libOpenGL
const libOpenGL_path = "/usr/lib/libOpenGL.so.0"
libOpenGL_handle = C_NULL
get_libOpenGL_path() = libOpenGL_path
const libOpenGL = "libOpenGL.so.0"
function __init__()
    global libEGL_handle = dlopen(libEGL_path)
    global libGL_handle = dlopen(libGL_path)
    global libGLESv1_CM_handle = dlopen(libGLESv1_CM_path)
    global libGLESv2_handle = dlopen(libGLESv2_path)
    global libGLX_handle = dlopen(libGLX_path)
    global libGLdispatch_handle = dlopen(libGLdispatch_path)
    global libOpenGL_handle = dlopen(libOpenGL_path)
end
end
